# $Revision: 1.51 $, $Date: 2012/01/14 19:39:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	Lite
Summary:	MIME::Lite - low-calorie MIME generator
Summary(pl.UTF-8):	MIME::Lite - niskokaloryczny generator MIME
Name:		perl-MIME-Lite
Version:	3.028
Release:	1
# same as perl
License:	GPL v1+ or Artisric
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b24770b664db269a2a6e984f66c19fa7
URL:		http://search.cpan.org/dist/MIME-Lite/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Email-Date-Format
BuildRequires:	perl-MIME-Types
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.08
%endif
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Email-Date-Format
Suggests:	perl-MailTools
Suggests:	perl-MIME-Base64
Suggests:	perl-MIME-Types
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MIME::Lite is a simple, standalone module for generating MIME messages.

%description -l pl.UTF-8
MIME::Lite jest prostym, samodzielnym modułem służącym do generowania
wiadomości w formacie MIME.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
PERL_MM_USE_DEFAULT=yes \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# package it or not?
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/changes.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README contrib
%{perl_vendorlib}/MIME/Lite.pm
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-MIME-Lite.spec,v $
Revision 1.51  2012/01/14 19:39:34  zbyniu
- up to 3.028

Revision 1.50  2009/10/20 12:56:25  amateja
- updated to 3.027

Revision 1.49  2009/06/10 14:11:07  amateja
- updated to 3.024

Revision 1.48  2008/07/27 22:43:47  arekm
- release 2

Revision 1.47  2008/07/24 21:11:36  qboosh
- informative summaries
- generic URL
- unified examplesdir

Revision 1.46  2008/07/24 16:20:39  gotar
- merge from DEVEL
- R: perl-Email-Date-Format

Revision 1.44.2.5  2008/07/24 16:17:17  gotar
- more BR for tests

Revision 1.44.2.4  2008/07/24 15:25:30  gotar
- MIME::QuotedPrint is part of MIME::Base64

Revision 1.44.2.3  2008/07/24 15:21:24  gotar
- added Suggests

Revision 1.44.2.2  2008/07/24 13:16:45  gotar
- non-interactive build via PERL_MM_USE_DEFAULT

Revision 1.44.2.1  2008/07/24 13:14:17  gotar
- moved to DEVEL as it requires perl-Email-Date-Format instead of perl-Email-Date now
- conditional (with tests) BR: perl-Email-Date-Format
- moved examples to %_examplesdir, added contrib, removed changes.pod
- made it build non-interactive

Revision 1.44  2008/07/24 11:29:52  gotar
- up to 3.021 (fixed SMTP AUTH: http://www.perlmonks.org/?node_id=681884)

Revision 1.43  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.41  2004/11/03 22:30:31  paladine
- formatting

Revision 1.40  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.39  2004/05/06 18:20:33  ankry
- fixed perl-devel BR

Revision 1.38  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.37  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.36  2003/09/21 21:48:52  adamg
- updated to 3.01

Revision 1.35  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:00:47  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:24:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 20:20:12  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:35:53  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/11/26 00:14:08  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.26  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:33:05  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:18:32  depesz
automatic: Source location unfied, Relase Up

Revision 1.21  2002/02/10 15:28:56  depesz
adapterized

Revision 1.20  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/09/10 12:57:35  mis
- autoupdated to 2.117

Revision 1.18  2001/08/27 11:14:33  mis
- autoupdated to 2.116

Revision 1.17  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.16  2001/04/17 12:12:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/04/04 15:38:39  mis
- autoupdated to 2.111

Revision 1.13  2001/03/30 15:08:48  mis
- autoupdated to 2.108

Revision 1.12  2001/03/29 07:53:05  mis
- autoupdated to 2.107

Revision 1.11  2001/02/05 21:34:36  kloczek
- updated to 2.106.

Revision 1.10  2001/01/11 01:59:08  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.9  2000/08/23 01:45:35  kloczek
- updated to 2.102.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
